import { GC, OnesTable } from '../../../../@ones-table/common';
export declare function updateChartTitle(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart): void;
export declare function setChartTitleVisible(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart, visible: boolean): void;
export declare function setChartTitleText(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart, text: string): void;
export declare function setChartTitleColor(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart, color: string): void;
export declare function setChartTitleSize(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart, sizeInPx: number): void;
export declare function getChartTitle(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart): any;
export declare function getChartTitleColor(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart): string;
export declare function getChartTitleSize(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chart: GC.Spread.Sheets.Charts.Chart): any;
